package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;
import java.util.Date;

public class HomeworkPictureDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    /**
     * 家长userId
     */
    private String parentId;
    /**
     * 作业图片存放路径
     */
    private String fileKey;
    /**
     * 作业科目
     */
    private String subject;
    /**
     * 年级
     */
    private Integer grade;
    /**
     * homework表id
     */
    private String homeworkId;
    /**
     * 难易度
     */
    private Integer difficulty;
    /**
     * 掌握度
     */
    private Integer mastery;
    /**
     * 评论数
     */
    private Integer commentNums;
    /**
     * 状态  删除=DELETE  未分类=NO_SETTLE  正常=NORMAL
     */
    private String status;
    /**
     * 设备号
     */
    private String derver;
    /**
     * 手机上传 = 1 贝壳上传2
     */
    private int type;
    /**
     * 小塾端设备图片唯一标识
     */
    private String derverFileKey;
    /**
     * 是否反馈,0:否 1:是
     */
    private int isFeedback;
    /**
     * 是否分享,0:否 1:是
     */
    private int isShare;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否非学科
     */
    private int isDelete = 0;
    /**
     * 在线批改老师
     */
    private String teacherId;

    private String zybWorkId;
    /**
     * 作业批改中间状态，4页面选择未勾选知识点
     */
    private Integer zybWorkStat;
    /**
     * 0：正常的，1：模糊的，2：模糊替换后,3：作业不全
     */
    private int isMark;
    /**
     * 是否锁住，不能做删除操作
     */
    private Integer locking;
    private Integer correctionTime;
    /**
     * 会员卡id
     */
    private String vipId;
    /**
     * 批改后的作业图片的路径
     */
    private String correctedPictureUrl;
    /**
     * 原图批改时间
     */
    private Date correctTime;
    /**
     * 是否质检批改错误（0：否，1：是）
     */
    private Integer isCheckError;
    /**
     * 质检时间
     */
    private Date checkDate;
    /**
     * 质检错误原因
     */
    private String errorReason;
    /**
     * 质检人
     */
    private String checker;
    /**
     * 分配时间
     */
    private Date allotTime;
    /**
     * 质检错误是否已读
     */
    private Integer isErrorRead;

    /**
     * 纠正次数
     */
    private Integer correctNums;
    /**
     * 作业记录表主键id
     */
    private String homeworkRecordId;
    /**
     * 匹配知识点老师id
     */
    private String knowTeacherId;

    /**
     * 匹配知识点老师批改字段
     */
    private int isKnowFeedback;

    /**
     * 是否需要匹配知识点，默认1需要
     */
    private int isNeedingKnow;

    /**
     * 是否是作文
     */
    private int isComposition;

    /**
     * 作文评语
     */
    private String compositionComment;

    /**
     * 已质检字段， 1质检员已修改
     */
    private int isCorrect;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Integer getDifficulty() {
        return difficulty;
    }

    public void setDifficulty(Integer difficulty) {
        this.difficulty = difficulty;
    }

    public Integer getMastery() {
        return mastery;
    }

    public void setMastery(Integer mastery) {
        this.mastery = mastery;
    }

    public Integer getCommentNums() {
        return commentNums;
    }

    public void setCommentNums(Integer commentNums) {
        this.commentNums = commentNums;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDerverFileKey() {
        return derverFileKey;
    }

    public void setDerverFileKey(String derverFileKey) {
        this.derverFileKey = derverFileKey;
    }

    public int getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(int isFeedback) {
        this.isFeedback = isFeedback;
    }

    public int getIsShare() {
        return isShare;
    }

    public void setIsShare(int isShare) {
        this.isShare = isShare;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getZybWorkId() {
        return zybWorkId;
    }

    public void setZybWorkId(String zybWorkId) {
        this.zybWorkId = zybWorkId;
    }

    public Integer getZybWorkStat() {
        return zybWorkStat;
    }

    public void setZybWorkStat(Integer zybWorkStat) {
        this.zybWorkStat = zybWorkStat;
    }

    public int getIsMark() {
        return isMark;
    }

    public void setIsMark(int isMark) {
        this.isMark = isMark;
    }

    public Integer getLocking() {
        return locking;
    }

    public void setLocking(Integer locking) {
        this.locking = locking;
    }

    public Integer getCorrectionTime() {
        return correctionTime;
    }

    public void setCorrectionTime(Integer correctionTime) {
        this.correctionTime = correctionTime;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getCorrectedPictureUrl() {
        return correctedPictureUrl;
    }

    public void setCorrectedPictureUrl(String correctedPictureUrl) {
        this.correctedPictureUrl = correctedPictureUrl;
    }

    public Date getCorrectTime() {
        return correctTime;
    }

    public void setCorrectTime(Date correctTime) {
        this.correctTime = correctTime;
    }

    public Integer getIsCheckError() {
        return isCheckError;
    }

    public void setIsCheckError(Integer isCheckError) {
        this.isCheckError = isCheckError;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public Date getAllotTime() {
        return allotTime;
    }

    public void setAllotTime(Date allotTime) {
        this.allotTime = allotTime;
    }

    public Integer getIsErrorRead() {
        return isErrorRead;
    }

    public void setIsErrorRead(Integer isErrorRead) {
        this.isErrorRead = isErrorRead;
    }

    public Integer getCorrectNums() {
        return correctNums;
    }

    public void setCorrectNums(Integer correctNums) {
        this.correctNums = correctNums;
    }

    public String getHomeworkRecordId() {
        return homeworkRecordId;
    }

    public void setHomeworkRecordId(String homeworkRecordId) {
        this.homeworkRecordId = homeworkRecordId;
    }

    public String getKnowTeacherId() {
        return knowTeacherId;
    }

    public void setKnowTeacherId(String knowTeacherId) {
        this.knowTeacherId = knowTeacherId;
    }

    public int getIsKnowFeedback() {
        return isKnowFeedback;
    }

    public void setIsKnowFeedback(int isKnowFeedback) {
        this.isKnowFeedback = isKnowFeedback;
    }

    public int getIsNeedingKnow() {
        return isNeedingKnow;
    }

    public void setIsNeedingKnow(int isNeedingKnow) {
        this.isNeedingKnow = isNeedingKnow;
    }

    public int getIsComposition() {
        return isComposition;
    }

    public void setIsComposition(int isComposition) {
        this.isComposition = isComposition;
    }

    public String getCompositionComment() {
        return compositionComment;
    }

    public void setCompositionComment(String compositionComment) {
        this.compositionComment = compositionComment;
    }

    public int getIsCorrect() {
        return isCorrect;
    }

    public void setIsCorrect(int isCorrect) {
        this.isCorrect = isCorrect;
    }
}
